Bug 1799927 - [IPI baremetal]: Add an option to disable CA verification for Redfish
Summary: [IPI baremetal]: Add an option to disable CA verification for Redfish
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Stephen Benjamin
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On: 1799219 1801228
Blocks: 1799255
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:40 UTC by Stephen Benjamin
Modified: 2020-05-13 21:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1799219
Environment:
Last Closed: 2020-05-13 21:56:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3072 None closed Bug 1799927: baremetal: Update baremetal-operator 2020-04-28 10:55:08 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:56:55 UTC

Description Stephen Benjamin 2020-02-06 19:40:19 UTC
+++ This bug was initially created as a clone of Bug #1799219 +++

When provisioning baremetal IPI using Redfish with virtual media or PXE, the default is for Ironic to verify the CA certificates, however it is typical for the CA certs to be self-signed. We should expose the option for disabling certificate verification so in lab or other environments where they have not replaced BMC certs with trusted ones, they can still test Redfish deployments.

--- Additional comment from Stephen Benjamin on 2020-02-06 16:15:26 UTC ---

Upstream PR: https://github.com/metal3-io/baremetal-operator/pull/396

Once merged, we need to cherry-pick it to openshift/baremetal-operator

Comment 4 errata-xmlrpc 2020-05-13 21:56:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.